/*
	hewince.c

	WinCE-specific functions for Hugo for WinCE

	Copyright (c) 2002-2003 by Kent Tessman
*/

#include <windows.h>
#include <aygshell.h>
#include <sipapi.h>

#include "hewin32.h"
#include "ceres.h"

//---------------------------------------------------------------------------
// CreateCEMenubar
//---------------------------------------------------------------------------

HWND menubar;		// CE's menu bar

void CreateCEMenubar(HINSTANCE hInstance, HWND wnd)
{
	if (wnd)
	{
		// Create a menubar
		SHMENUBARINFO mbi;
		memset(&mbi, 0, sizeof(SHMENUBARINFO));
		mbi.cbSize     = sizeof(SHMENUBARINFO);
		mbi.hwndParent = wnd;
		mbi.dwFlags = 0;
		mbi.nToolBarId = HEWINCE_MENUBAR;
		mbi.hInstRes   = hInstance;
		mbi.nBmpId     = IDR_TOOLBAR1;
		mbi.cBmpImages = 2;
        
		if (SHCreateMenuBar(&mbi))
		{
			menubar = mbi.hwndMB;
			return;
		}
	}

	MessageBox(NULL, _T("Error creating CE menubar."), _T("Hugo Engine"), MB_ICONEXCLAMATION);
	exit(0);
}

//---------------------------------------------------------------------------
// Time support
//---------------------------------------------------------------------------
#include <time.h>

time_t time(time_t *t)
{
	// NOTE:  This is NOT a proper time_t result, but
	// since we're only using it for seeding random numbers,
	// the result will do.
	SYSTEMTIME st;
	GetLocalTime(&st);
	return st.wDay*24*3600 + st.wHour*3600 + st.wMinute*60 + st.wSecond;
}

void hugo_gettimeformatted(char *a)
{
	SYSTEMTIME st;

	GetLocalTime(&st);
	_stprintf(unicode_buffer, _T("&20d-%0d-%0d %0d:%0d:%0d"),
		st.wYear, st.wMonth, st.wDay, st.wHour, st.wMinute, st.wSecond);
	strcpy_UtoA(a, unicode_buffer);
}

